Subject: [secdir] Secdir review of draft-ietf-tsvwg-rfc5405bis-13

From: "Takeshi Takahashi" <[email-masked]>
Date: Tue, 31 May 2016 19:06:22 +0900

I have reviewed this document as part of the security directorate's ongoing
effort to review all IETF documents being processed by the IESG.
These comments were written primarily for the benefit of the security area
directors.
Document editors and WG chairs should treat these comments just like any
other last call comments.

[General summary]

This document is ready.

[Topic of this draft]

This draft talks about the UDP Usage Guidelines and replaces RFC 5405 (BCP).
It talks about how to use UDP, especially it pays attention to the fair use
of the network resourced and talks a lot on congestion control.

The RFC 5045 focuses on unicast case, but this bis document talks about
multicast, (anycast, broadcast, )and IP tunneling cases.

The content is useful, and I hope to see this draft to be published as an
RFC.

[Clarification question]

In Table 1 "Summary of recommendations", I wonder if the corresponding
section numbers are correct.

[Now]
"SHOULD avoid using multiple ports"  corresponds to Section 5.1
and 
"SHOULD use a randomized source port or equivalent technique" corresponds to
Section 5.2

[New]
"SHOULD avoid using multiple ports"  corresponds to Section 5.1.1
and 
"SHOULD use a randomized source port or equivalent technique" corresponds to
Section 5.1.2

I might be wrong, so please check.

Also I have seen several typos (especially, missing parentheses around
referenced section numbers) on this document, so please revise the texts
before the publication of this document.

Thank you.
Take

---

From: "Takeshi Takahashi" <[email-masked]>
Date: Tue, 31 May 2016 19:14:37 +0900

Hi again, let me correct the following part of my previous email.

> "SHOULD use a randomized source port or equivalent technique" corresponds
to Section 5.1.2

[New]

and

Section 5.1

Thank you.
Take

> -----Original Message-----
> From: secdir [mailto:[email-masked]] On Behalf Of Takeshi
> Takahashi
> Sent: Tuesday, May 31, 2016 7:06 PM
> To: [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Subject: [secdir] Secdir review of draft-ietf-tsvwg-rfc5405bis-13
> 
> _______________________________________________
> secdir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/secdir
> wiki: http://tools.ietf.org/area/sec/trac/wiki/SecDirReview

---

From: "Black, David" <[email-masked]>
Date: Tue, 31 May 2016 13:32:25 +0000

Take-san,

Many thanks for this review - we'll re-check Table 1 and make any necessary corrections.

Thanks, --David (as draft shepherd)

> From: Takeshi Takahashi [mailto:[email-masked]]
> Sent: Tuesday, May 31, 2016 6:15 AM
> To: [email-masked]; [email-masked]; [email-masked]; draft-ietf-tsvwg-
> [email-masked]
> Subject: RE: [secdir] Secdir review of draft-ietf-tsvwg-rfc5405bis-13
> 
> > to
> > to